Subject: bug#29150: Fwd: 26.0.90; Input decoding is sometimes skipped in TTY (xterm-mouse-mode)

From: Stefan Monnier <[email-masked]>
Date: Wed, 08 Nov 2017 17:13:32 -0500

> Wait, isn't this just `read-key'? So instead of the above
> aref/read-key-sequence-vector, it should just be `read-key'?

Most likely, yes.

> Perhaps the docstring of `input-decode-map' should mention `read-key' as
> well?

I'm not sure why, or what it would say.  `read-key` is a reasonably good
replacement for `read-event`, but it's still pretty brittle.
The better solution is to not "read" anything and let the main loop do
it for you (which is why I changed mouse-drag-track to use
set-transient-map instead of mucking with `read-event` or `read-key`).

In my experience, most uses of `read-event` are (latent) bugs, so maybe
it's in read-event's docstring that we should say something.

        Stefan